gnutls_x509_trust_list_verify_crt(3)

NAME
gnutls_x509_trust_list_verify_crt - API function

SYNOPSIS
#include <gnutls/x509.h>

int gnutls_x509_trust_list_verify_crt(gnutls_x509_trust_list_t list, gnutls_x509_crt_t * cert_list, unsigned int cert_list_size, unsigned int flags, unsigned int * voutput, gnutls_verify_output_function func);

ARGUMENTS

gnutls_x509_trust_list_t list
    The structure of the list

gnutls_x509_crt_t * cert_list
    is the certificate list to be verified

unsigned int cert_list_size
    is the certificate list size

unsigned int flags
    Flags that may be used to change the verification algorithm. Use OR of the gnutls_certificate_verify_flags enumerations.

unsigned int * voutput
    will hold the certificate verification output.

gnutls_verify_output_function func
    If non-null will be called on each chain element verification with the output.

DESCRIPTION
This function will try to verify the given certificate and return its status. The verify parameter will hold an OR'ed sequence of gnutls_certificate_status_t flags.

Additionally a certificate verification profile can be specified from the ones in gnutls_certificate_verification_profiles_t by ORing the result of GNUTLS_PROFILE_TO_VFLAGS() to the verification flags.

RETURNS
On success, GNUTLS_E_SUCCESS (0) is returned, otherwise a negative error value.

SINCE
3.0

REPORTING BUGS
Report bugs to <bugs@gnutls.org>.
Home page: http://www.gnutls.org

COPYRIGHT
Copyright © 2001-2014 Free Software Foundation, Inc..
Copying and distribution of this file, with or without modification, are permitted in any medium without royalty provided the copyright notice and this notice are preserved.

SEE ALSO
The full documentation for gnutls is maintained as a Texinfo manual. If the /usr/share/doc/gnutls/ directory does not contain the HTML form visit

http://www.gnutls.org/manual/